---
name: Bug report
about: Create a report to help us improve

---

**Describe the bug**
A clear and concise description of what the bug is.

__IMPORTANT__: please ensure that you do not refer to any **internal or confidential information** from your company/organization here. Also, please provide only references to public (open-source) projects on which the issue can be reproduced. **Please do not include in the issue description any reference or link to non-public or otherwise proprietary information**.

**To Reproduce**
Steps to reproduce the behavior:

In case of bugs in a Web frontend:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

In case of bugs happening on the client (when performing scans):
1. Clone repo '...'
2. Add profile '....'
3. Run plugin goal '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Vulas version**
- Vulas version (release and commit)

**In case of bugs in a Web frontend**
- Browser type and version [e.g. chrome, safari]
- Screenshot (if possible, with confidential information removed)

**In case of bugs happening on the client (when performing scans)**
- OS/version
- Java JVM/version or Python version
- Vulas client (Maven plugin, Gradle plugin, CLI, setuptools plugin)
- Console log(s) (with confidential information removed)
- URL of a public repo that can be used for reproducing (minimal example if possible)

**Additional context**
Add any other context about the problem here.
