/**
 * This file is part of Eclipse Steady.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright (c) 2018 SAP SE or an SAP affiliate company. All rights reserved.
 */
package com.sap.psr.vulas.cg.soot;

/**
 * <p>SootConfiguration class.</p>
 *
 */
public class SootConfiguration {
    /** Constant <code>SOOT_CONFIGURATION_SETTINGS="vulas.reach.soot"</code> */
    public static final String SOOT_CONFIGURATION_SETTINGS = "vulas.reach.soot";
    /** Constant <code>SOOT_VERBOSE="vulas.reach.soot.verbose"</code> */
    public static final String SOOT_VERBOSE = "vulas.reach.soot.verbose";
    /** Constant <code>SOOT_EXCLUSIONS="vulas.reach.soot.exclusions"</code> */
    public static final String SOOT_EXCLUSIONS = "vulas.reach.soot.exclusions";
    /** Constant <code>SOOT_ALLOW_PHANTOM="vulas.reach.soot.allowPhantom"</code> */
    public static final String SOOT_ALLOW_PHANTOM = "vulas.reach.soot.allowPhantom";
    /** Constant <code>SOOT_APP_MODE="vulas.reach.soot.appMode"</code> */
    public static final String SOOT_APP_MODE = "vulas.reach.soot.appMode";
    /** Constant <code>SOOT_NOBODY_FOR_X="vulas.reach.soot.nobodyForX"</code> */
    public static final String SOOT_NOBODY_FOR_X = "vulas.reach.soot.nobodyForX";
    /** Constant <code>SOOT_SPARK="vulas.reach.soot.spark"</code> */
    public static final String SOOT_SPARK = "vulas.reach.soot.spark";
    /** Constant <code>SOOT_SPARK_OTF="vulas.reach.soot.spark.otf"</code> */
    public static final String SOOT_SPARK_OTF = "vulas.reach.soot.spark.otf";
    /** Constant <code>SOOT_SPARK_VTA="vulas.reach.soot.spark.vta"</code> */
    public static final String SOOT_SPARK_VTA = "vulas.reach.soot.spark.vta";
    /** Constant <code>SOOT_SPARK_RTA="vulas.reach.soot.spark.rta"</code> */
    public static final String SOOT_SPARK_RTA = "vulas.reach.soot.spark.rta";
    /** Constant <code>SOOT_ENTRYPOINT_GENERATOR="vulas.reach.soot.entrypointGenerator"</code> */
    public static final String SOOT_ENTRYPOINT_GENERATOR = "vulas.reach.soot.entrypointGenerator";
}
