{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  nginx-ingress.defaultBackend.name : Gets name of current component
  contexts: [ . ]
  usage: {{ include "nginx-ingress.name" . }}
*/}}
{{- define "nginx-ingress.defaultBackend.name" -}}
{{- $name := include "nginx-ingress.name" . -}}
{{- printf "%s-default-backend" $name -}}
{{- end -}}

{{/*
  nginx-ingress.defaultBackend.deploymentName : deploymentName getter
  contexts: [ . ]
  usage: {{ include "nginx-ingress.defaultBackend.deploymentName" . }}
*/}}
{{- define "nginx-ingress.defaultBackend.deploymentName" -}}
{{- $name := include "nginx-ingress.defaultBackend.name" . -}}
{{- printf "%s-deployment" $name -}}
{{- end -}}

{{/*
  nginx-ingress.defaultBackend.podName : pod name getter
  contexts: [ . ]
  usage: {{ include "nginx-ingress.defaultBackend.podName" . }}
*/}}
{{- define "nginx-ingress.defaultBackend.podName" -}}
{{- $name := include "nginx-ingress.defaultBackend.name" . -}}
{{- printf "%s-pod" $name -}}
{{- end -}}

{{/*
  nginx-ingress.defaultBackend.mountedConfigMapName : mounted configmap name getter
  contexts: [ . ]
  usage: {{ include "nginx-ingress.defaultBackend.mountedConfigMapName" . }}
*/}}
{{- define "nginx-ingress.defaultBackend.mountedConfigMapName" -}}
{{- $name := include "nginx-ingress.defaultBackend.name" . -}}
{{- printf "%s-mounted-config" $name -}}
{{- end -}}


{{/*
  nginx-ingress.defaultBackend.ingressName : ingress name getter
  contexts: [ . ]
  usage: {{ include "nginx-ingress.defaultBackend.ingressName" . }}
*/}}
{{- define "nginx-ingress.defaultBackend.ingressName" -}}
{{- $name := include "nginx-ingress.defaultBackend.name" . -}}
{{- printf "06-%s-ingress" $name -}}
{{- end -}}

{{/*
  nginx-ingress.defaultBackend.podDisruptionBudgetName : pod name getter
  contexts: [ . ]
  usage: {{ include "nginx-ingress.defaultBackend.podDisruptionBudgetName" . }}
*/}}
{{- define "nginx-ingress.defaultBackend.podDisruptionBudgetName" -}}
{{- $name := include "nginx-ingress.defaultBackend.name" . -}}
{{- printf "%s-pod-disruption-budget" $name -}}
{{- end -}}

{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  proxy.defaultBackend.serviceName : defaultBackend service name getter
  contexts: [ .global ]
  usage: {{ include "proxy.defaultBackend.serviceName" . }}
*/}}
{{- define "nginx-ingress.defaultBackend.serviceName" -}}
{{ .Release.Name }}-default-backend
{{- end -}}
