{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  frontendapps.enrichedLabels : generic for admin labels
  contexts: [ . ]
  usage: {{ include "frontendapps.enrichedLabels" . }}
*/}}
{{- define "frontendapps.enrichedLabels" -}}
app.kubernetes.io/instance: {{ template "podName" . }}
{{ include "commonLabels" . }}
{{ include "frontendapps.serviceLabel" . }}
{{- end -}}

{{/*
  frontendapps.serviceLabels : generic service labels
  contexts: [ .global ]
  usage: {{ include "frontendapps.serviceLabels" . }}
*/}}
{{- define "frontendapps.serviceLabels" -}}
{{ include "projectLabels" . }}
{{ include "frontendapps.serviceLabel" . }}
{{- end -}}

{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  frontendapps.serviceLabel: generic admin service label
  contexts: [ . ]
  usage: {{ include "frontendapps.serviceLabel" . }}
  */}}
{{- define "frontendapps.serviceLabel" -}}
{{ .Values.global.projectName }}.core/service: {{ .Release.Name }}-frontend-apps
{{- end -}}
