{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  frontendbugs.enrichedLabels : generic for admin labels
  contexts: [ . ]
  usage: {{ include "frontendbugs.enrichedLabels" . }}
*/}}
{{- define "frontendbugs.enrichedLabels" -}}
app.kubernetes.io/instance: {{ template "podName" . }}
{{ include "commonLabels" . }}
{{ include "frontendbugs.serviceLabel" . }}
{{- end -}}

{{/*
  frontendbugs.serviceLabels : generic service labels
  contexts: [ .global ]
  usage: {{ include "frontendbugs.serviceLabels" . }}
*/}}
{{- define "frontendbugs.serviceLabels" -}}
{{ include "projectLabels" . }}
{{ include "frontendbugs.serviceLabel" . }}
{{- end -}}

{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  frontendbugs.serviceLabel: generic admin service label
  contexts: [ . ]
  usage: {{ include "frontendbugs.serviceLabel" . }}
  */}}
{{- define "frontendbugs.serviceLabel" -}}
{{ .Values.global.projectName }}.core/service: {{ .Release.Name }}-frontend-bugs
{{- end -}}
