{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  restbackend.enrichedLabels : generic labels + serviceLabel
  contexts: [ . ]
  usage: {{ include "restbackend.commonLabels" . }}
*/}}
{{- define "restbackend.enrichedLabels" -}}
app.kubernetes.io/instance: {{ template "podName" . }}
{{ include "commonLabels" . }}
{{ include "restbackend.serviceLabel" . }}
{{- end -}}

{{/*
  restbackend.serviceLabels : generic service labels
  contexts: [ .global ]
  usage: {{ include "restbackend.serviceLabels" . }}
*/}}
{{- define "restbackend.serviceLabels" -}}
{{ include "projectLabels" . }}
{{ include "restbackend.serviceLabel" . }}
{{- end -}}

{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  restbackend.serviceLabel: generic service label
  contexts: [ .global ]
  usage: {{ include "restbackend.serviceLabel" . }}
  */}}
{{- define "restbackend.serviceLabel" -}}
{{ .Values.global.projectName }}.core/service: {{ .Release.Name }}-restbackend
{{- end -}}
