{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  restlibutils.enrichedLabels : generic labels + serviceLabels
  contexts: [ . ]
  usage: {{ include "restlibutils.commonLabels" . }}
*/}}
{{- define "restlibutils.enrichedLabels" -}}
app.kubernetes.io/instance: {{ template "podName" . }}
{{ include "commonLabels" . }}
{{ include "restlibutils.serviceLabel" . }}
{{- end -}}

{{/*
  restlibutils.serviceLabels : generic service labels
  contexts: [ .global ]
  usage: {{ include "restlibutils.serviceLabels" . }}
*/}}
{{- define "restlibutils.serviceLabels" -}}
{{ include "projectLabels" . }}
{{ include "restlibutils.serviceLabel" . }}
{{- end -}}

{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  restlibutils.serviceLabel : generic servicename
  contexts: [ .global ]
  usage: {{ include "restlibutils.serviceLabel" . }}
*/}}
{{- define "restlibutils.serviceLabel" -}}
{{ .Values.global.projectName }}.core/service: {{ .Release.Name }}-restlibutils
{{- end -}}
