# Running benchmark for the Postgresql cluster

These benchmark pod allow for benchmarking the performance of the Postgresql Cluster built by the [database chart](../../charts/database/README.md) by using `pgbench` with a readonly sql script. Three tests are possible:

-   benchmarking directly against the master service (`pgbench-direct.yaml`)
-   benchmarking directly against the replica service (`pgbench-slave.yaml`)
-   benchmarking against the pgpool service (`pgbench-pgpool.yaml`)

This allows you to compare the performance and decide whether or not the use the pgpool as well as identify problematic queries that consume too much resources.

## Running a specific script

This assumes you already have a vulnerability-assessment-tool-core chart deployed on your Kubernetes cluster with the `values.yaml` in said directory.

For example, from the vulnerability-assessment-tool-core chart directory (where the `Chart.yaml` and the `values.yaml` are located), to run the master benchmark:

```sh
helm template . -x templates/benchmark/pgbench-direct.yaml \
                -x templates/benchmark/pgbench-sql.yaml \
                --set benchmark=true --name { Release Name } | kubectl apply -f -
```

To fetch results from the job execution:

```sh
kubectl logs -l 'app.kubernetes.io/name=pgbench' -f
```

To clean up afterwards:

```sh
kubectl delete configmap -l 'app.kubernetes.io/name=pgbench'
kubectl delete job -l 'app.kubernetes.io/name=pgbench'
```
