
# Vulnerability-assessment-tool-monitoring
Helm Chart for vulnerability-assessment-tool monitoring services

## Prerequisites
-   Kubernetes >=v1.15.0 with Beta APIs enabled
-   Persistent volume provisioner support in underlying infrastructure

## Installing the chart
To install the chart with the release name `release`:
```console
# With helm 2
# helm install { custom name } .
$ helm install monitoring-release .

# With helm 3, you need to create the desired namespace before hand
$ kubectl create namespace { namespace }
$ kubectl install monitoring-release .
```

The command deploys the vulnerability-assessment-tool-monitoring subchart of the vulnerability assessment tool v0.1.1
on the Kubernetes cluster in the default configuration. The configuration section lists
the parameters that can be configured during installation.

## Uninstalling the chart
To uninstall/delete the `release` deployment:
```console
$ helm delete monitoring-release .
```

## Configuration
The following table lists the configurable parameters of the vulnerability-assessment-tool-monitoring chart and their default values.

| Parameter             | Description                      | Default                                   |
| --------------------- | -------------------------------- | ----------------------------------------- |
| global.namespace      | destination namespace for chart  | `vulnerability-asessment-tool-monitoring` |
| global.projectName    |                                  | `vulnerability-assessment-tool`           |
| global.env            | label for deployment environment | `TESTING`                                 |
| global.ingresClass    | ingress controller class         | `nginx`                                   |
| global.adminNamespace | admin chart namespace            | `vulnerability-asessment-tool-admin`      |
| global.subPath        | subpath to serve from            | `""`                                      |

### Elastic
The subchart values can be configured by modifying the values directly in the subdirectory (for more configuration detail see [here](charts/elastic/README.md) or overridden in the vulnerability-assessment-tool-monitoring chart by nesting values inside `elastic`. For example, to modify the `kibana.replicas` value, you can do;
```
elastic:
  kibana:
   replicas: 2
```


### Fluentd
These values should be prepended by nesting them in `fluent` and can be seen in detail [here](charts/fluentd/README.md)

### Grafana
These values should be prepended by nesting them in `grafana` and can be seen in detail [here](charts/grafana/README.md)

### Prometheus
These values should be prepended by nesting them in `prometheus` and can be seen in detail [here](charts/prometheus/README.md)
