{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  elastic.enrichedLabels : generic labels
  contexts: [ . ]
  usage: {{ include "elastic.enrichedLabels" . }}
*/}}
{{- define "elastic.enrichedLabels" -}}
app.kubernetes.io/instance: {{ include "elastic.podName" . }}
{{ include "commonLabels" . }}
{{ include "elastic.serviceLabel" . }}
{{- end -}}

{{/*
  elastic.serviceLabels : generic labels
  contexts: [ . ]
  usage: {{ include "elastic.serviceLabels" . }}
*/}}
{{- define "elastic.serviceLabels" -}}
{{ include "projectLabels" . }}
{{ include "elastic.serviceLabel" . }}
{{- end -}}

{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  elastic.serviceLabel : generic service label
  contexts: [ .global ]
  usage: {{ include "elastic.serviceLabel" . }}
*/}}
{{- define "elastic.serviceLabel" -}}
{{ .Values.global.projectName }}.monitoring/service: {{ .Release.Name }}-elasticsearch
{{- end -}}
