{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  kibana.name : Gets name of current component
  contexts: [ . ]
  usage: {{ include "kibana.name" . }}
*/}}
{{- define "kibana.name" -}}
{{ .Release.Name }}-kibana
{{- end -}}

{{/*
  kibana.chart : Create chart name and version as used by the chart label.
  contexts: [ . ]
  usage: {{ include "kibana.chart" . }}
*/}}
{{- define "kibana.chart" -}}
{{- printf "%s-kibana-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
  kibana.configMapName : ConfigMap getter
  contexts: [ . ]
  usage: {{ include "kibana.configMapName" . }}
*/}}
{{- define "kibana.configMapName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "%s-config" $name -}}
{{- end -}}


{{/*
  kibana.ingressName : ingress name getter
  contexts: [ . ]
  usage: {{ include "kibana.ingressName" . }}
*/}}
{{- define "kibana.ingressName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "03-%s-kibana-ingress" $name -}}
{{- end -}}

{{/*
  kibana.deploymentName : deploymentName name getter
  contexts: [ . ]
  usage: {{ include "kibana.deploymentName" . }}
*/}}
{{- define "kibana.deploymentName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "%s-deployment" $name -}}
{{- end -}}

{{/*
  kibana.podName : kibana pod name getter
  contexts: [ . ]
  usage: {{ include "kibana.podName" . }}
*/}}
{{- define "kibana.podName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "%s-pod" $name -}}
{{- end -}}

{{/*
  kibana.serviceAccountName : kibana service account name getter
  contexts: [ . ]
  usage: {{ include "kibana.serviceAccountName" . }}
*/}}
{{- define "kibana.serviceAccountName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "%s-%s-discovery-agent" .Values.global.projectName $name }}
{{- end -}}

{{/*
  kibana.podDisruptionBudgetName : kibana pod disruption budget name getter
  contexts: [ . ]
  usage: {{ include "kibana.podDisruptionBudgetName" . }}
*/}}
{{- define "kibana.podDisruptionBudgetName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "%s-pod-disruption-budget" $name -}}
{{- end -}}


{{/*
  kibana.pvName : kibana persistent volume name getter
  contexts: [ . ]
  usage: {{ include "kibana.pvName" . }}
*/}}
{{- define "kibana.pvName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "%s-persistent-volume" $name -}}
{{- end -}}

{{/*
  kibana.pvcName : kibana persistent volume claim name getter
  contexts: [ . ]
  usage: {{ include "kibana.pvc Name" . }}
*/}}
{{- define "kibana.pvcName" -}}
{{- $name := include "kibana.name" . -}}
{{- printf "%s-volume-claim" $name -}}
{{- end -}}
