{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  kibana.enrichedLabels : generic labels
  contexts: [ . ]
  usage: {{ include "kibana.enrichedLabels" . }}
*/}}
{{- define "kibana.enrichedLabels" -}}
app.kubernetes.io/instance: {{ include "kibana.podName" . }}
{{ include "commonLabels" . }}
{{ include "kibana.serviceLabel" . }}
{{- end -}}

{{/*
  kibana.serviceLabels : generic labels
  contexts: [ . ]
  usage: {{ include "kibana.serviceLabels" . }}
*/}}
{{- define "kibana.serviceLabels" -}}
{{ include "projectLabels" . }}
{{ include "kibana.serviceLabel" . }}
{{- end -}}

{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  kibana.serviceLabel : generic service label
  contexts: [ .global ]
  usage: {{ include "kibana.serviceLabel" . }}
*/}}
{{- define "kibana.serviceLabel" -}}
{{ .Values.global.projectName }}.monitoring/service: {{ .Release.Name }}-kibana
{{- end -}}
