# Fluentd: Unified Logging aggregator

> This chart is already included in the vulnerability-assessment-tool-monitoring chart

*Warning*: This chart is bound to be replaced with fluentbit (see [docs](https://fluentbit.io/)) once that project matures for a lighter footprint during log collection.

## Prerequisites
-   Kubernetes >=v1.15.0 with Beta APIs enabled
-   Persistent volume provisioner support in underlying infrastructure

## Installing the chart
To install the chart with the release name `release`:
```console
$ helm install release .
```

The command deploys the fluentd subchart of the vulnerability-assessment-tool-monitoring v0.1.1 on the Kubernetes cluster in the default configuration. The configuration section lists
the parameters that can be configured during installation.

## Uninstalling the chart
To uninstall/delete the `release` deployment:
```console
$ helm delete release
```

## Configuration
The following table lists the configurable parameters of the fluentd chart and their default values.

| Parameter  |	Description  |	Default |
|----------|-------------|--------|
| debug | self logging level for fluentd | `False` |
| image.pullPolicy | As this image is quite prone to change, `Always` is recommended for production values | `IfNotPresent` |
| image.name |  | `fluent/fluentd-kubernetes-daemonset` |
| image.tag | image tag | `v1.7-debian-elasticsearch6-1` |

## Production configuration
This chart includes a `values_production.yaml` file where you can find some parameters oriented to production configuration in comparison to the regular `values.yaml`.
```sh
$ helm install { custom release name }  -f values_production.yaml .
```

These values can be configured as follows:

| Parameter  |	Description  |	Default |
|----------|-------------|--------|
| image.resources | These containers are not meant to be on high loads (serving only for redirects and static json for alerts) | requests:<br>&emsp;memory:`150Mi`<br>&emsp;cpu: `150m`<br>limit:<br>&emsp;memory: `200Mi`<br>&emsp;cpu: `200m` |
