# Grafana: Graphical analysis for metrics

> This chart is already included in the vulnerability-assessment-tool-monitoring chart

This chart provides an out of the box ready grafana for the vulnerability-assessment-tool with built-in dashboards for monitoring the vulnerability assessment tool database as well as the overall cluster health.

## Prerequisites
-   Kubernetes >=v1.15.0 with Beta APIs enabled
-   Persistent volume provisioner support in underlying infrastructure

## Installing the chart
To install the chart with the release name `release`:
```console
$ helm install release .
```

The command deploys the grafana subchart of the vulnerability-assessment-tool-monitoring v0.1.1
on the Kubernetes cluster in the default configuration. The configuration section lists
the parameters that can be configured during installation.

## Uninstalling the chart
To uninstall/delete the `release` deployment:
```console
$ helm delete release
```

## Configuration
The following table lists the configurable parameters of the grafana chart and their default values.


| Parameter  |	Description  |	Default |
|----------|-------------|--------|
| replicas | desired number of instances | `1` |
| path | Path from which to serve from (set by using $GF_SERVER_ROOT_URL) | `/monitoring/grafana` |
| credentials.user | User credentials to access Grafana | `vulas` |
| metricsIndex | append metrics with string | `fluentd` |
| credentials.password |  | `changeme` |
| rbac.create | Creates rbac for grafana | `True` |
| rbac.namespaced |  | `False` |
| persistentVolume.enabled | Increases startup speed | `True` |
| persistentVolume.storage | Storage size for PVC | `1Gi` |
| image.initContainer.name | Init container to fix permission for PVC | `busybox` |
| image.initContainer.tag | image tag | `1.31.0` |
| image.initContainer.pullpolicy |  | `IfNotPresent` |
| image.initContainer.resources | This container does not require a lot of resources however a limit is set to avoid DDOS attacks | limit:<br>&emsp;memory: `100Mi`<br>&emsp;cpu: `50m` |
| image.securityContext.runAsUser | UID | `12000` |
| image.mainContainer.name |  | `grafana/grafana` |
| image.mainContainer.tag | | `6.4.3` |
| image.mainContainer.pullpolicy |  | `IfNotPresent` |
| image.mainContainer.resources |  | requests:<br>&emsp;memory: `128Mi`<br>&emsp;cpu: `100m`limit:<br>&emsp;memory: `128Mi`<br>&emsp;cpu: `100m` |
| image.mainContainer.livenessProbe | | enabled: `False`<br>initialDelaySeconds: `5`<br>periodSeconds: `30`<br>timeoutSeconds: `5`<br>failureThreshold: `5` |
| image.mainContainer.readinessProbe | | enabled: `False`<br>initialDelaySeconds: `5`<br>periodSeconds: `30`<br>timeoutSeconds: `5`<br>failureThreshold: `5` |
