{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  grafana.serviceAccountName : serviceAccountName getter
  contexts: [ . ]
  usage: {{ include "grafana.serviceAccountName" . }}
*/}}
{{- define "grafana.serviceAccountName" -}}
{{- $name := include "name" . -}}
{{- printf "%s-%s-discovery-agent" .Values.global.projectName $name -}}
{{- end -}}

{{/*
  grafana.clusterRoleBindingName : cluster role name getter
  contexts: [ . ]
  usage: {{ include "grafana.clusterRoleBindingName" . }}
*/}}
{{- define "grafana.clusterRoleBindingName" -}}
{{- $name := include "name" . -}}
{{- printf "%s-%s-discovery-agent" .Values.global.projectName $name -}}
{{- end -}}

{{/*
  grafana.clusterRoleName : cluster role name getter
  contexts: [ . ]
  usage: {{ include "grafana.clusterRoleName" . }}
*/}}
{{- define "grafana.clusterRoleName" -}}
{{- $name := include "name" . -}}
{{- printf "%s-%s-discovery-agent" .Values.global.projectName $name -}}
{{- end -}}

{{/*
  grafana.ingressName : ingress name getter
  contexts: [ . ]
  usage: {{ include "grafana.ingressName" . }}
*/}}
{{- define "grafana.ingressName" -}}
{{- $name := include "name" . -}}
{{- printf "04-%s-ingress" $name -}}
{{- end -}}


{{/*
  grafana.roleBindingName : cluster role name getter
  contexts: [ . ]
  usage: {{ include "grafana.clusterRoleBindingName" . }}
*/}}
{{- define "grafana.roleBindingName" -}}
{{- $name := include "name" . -}}
{{- printf "%s-%s-discovery-agent" .Values.global.namespace $name -}}
{{- end -}}

{{/*
  grafana.roleName : cluster role name getter
  contexts: [ . ]
  usage: {{ include "grafana.roleName" . }}
*/}}
{{- define "grafana.roleName" -}}
{{- $name := include "name" . -}}
{{- printf "%s-%s-discovery-agent" .Values.global.namespace $name -}}
{{- end -}}
