{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  grafana.enrichedLabels : generic labels + serviceLabel
  contexts: [ . ]
  usage: {{ include "grafana.commonLabels" . }}
*/}}
{{- define "grafana.enrichedLabels" -}}
app.kubernetes.io/instance: {{ template "podName" . }}
{{ include "commonLabels" . }}
{{ include "grafana.serviceLabel" . }}
{{- end -}}

{{/*
  grafana.serviceLabels : generic servicename
  contexts: [ .global ]
  usage: {{ include "grafana.serviceLabels" . }}
*/}}
{{- define "grafana.serviceLabels" -}}
{{ include "projectLabels" . }}
{{ include "grafana.serviceLabel" . }}
{{- end -}}


{{/*---------------------------- Global Templates ---------------------------*/}}
{{/*
  grafana.serviceLabel : generic servicename
  contexts: [ .global ]
  usage: {{ include "grafana.serviceLabel" . }}
*/}}
{{- define "grafana.serviceLabel" -}}
{{ .Values.global.projectName }}.monitoring/service: {{ .Release.Name }}-grafana
{{- end -}}
