{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  prom.kube.name : Gets name of current component
  contexts: [ . ]
  usage: {{ include "prom.kube.name" . }}
*/}}
{{- define "prom.kube.name" -}}
{{ .Release.Name }}-kube-state-metrics
{{- end -}}

{{/*
  prom.kube.clusterRoleBindingName : Gets name of current component
  contexts: [ . ]
  usage: {{ include "prom.kube.clusterRoleBindingName" . }}
*/}}
{{- define "prom.kube.clusterRoleBindingName" -}}
{{- $name := include "prom.kube.name" . -}}
{{- printf "%s-%s-metrics-collector" .Values.global.projectName $name -}}
{{- end -}}

{{/*
  prom.kube.clusterRoleName : Gets name of current component
  contexts: [ . ]
  usage: {{ include "prom.kube.clusterRoleName" . }}
*/}}
{{- define "prom.kube.clusterRoleName" -}}
{{- $name := include "prom.kube.name" . -}}
{{- printf "%s-%s-metrics-collector" .Values.global.projectName $name -}}
{{- end -}}

{{/*
  prom.kube.serviceAccountName : Gets name of current component
  contexts: [ . ]
  usage: {{ include "prom.kube.serviceAccountName" . }}
*/}}
{{- define "prom.kube.serviceAccountName" -}}
{{- $name := include "prom.kube.name" . -}}
{{- printf "%s-%s-metrics-collector" .Values.global.projectName $name -}}
{{- end -}}

{{/*
  prom.kube.deploymentName : Gets name of current component
  contexts: [ . ]
  usage: {{ include "prom.kube.deploymentName" . }}
*/}}
{{- define "prom.kube.deploymentName" -}}
{{- $name := include "prom.kube.name" . -}}
{{- printf "%s-deployment" $name -}}
{{- end -}}


{{/*
  prom.kube.podName : Gets name of current component
  contexts: [ . ]
  usage: {{ include "prom.kube.podName" . }}
*/}}
{{- define "prom.kube.podName" -}}
{{- $name := include "prom.kube.name" . -}}
{{- printf "%s-pod" $name -}}
{{- end -}}
