{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  prom.kube.commonLabels : generic for labels
  contexts: [ . ]
  usage: {{ include "prom.kube.commonLabels" . }}
*/}}
{{- define "prom.kube.commonLabels" -}}
{{ if .Chart.AppVersion -}}
app.kubernetes.io/part-of: {{ include "prom.kube.name" . }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{ include "projectLabels" . }}
{{- end -}}

{{/*
  prom.kube.enrichedLabels : generic for labels
  contexts: [ . ]
  usage: {{ include "prom.kube.enrichedLabels" . }}
*/}}
{{- define "prom.kube.enrichedLabels" -}}
{{ include "prom.kube.commonLabels" . }}
{{ .Values.global.projectName }}.monitoring/service : {{ .Release.Name }}-kube-state-metrics
{{- end -}}

{{/*
  prom.kube.serviceLabel: generic admin service label
  contexts: [ . ]
  usage: {{ include "prom.kube.serviceLabel" . }}
  */}}
{{- define "prom.kube.serviceLabel" -}}
{{ include "projectLabels" . }}
{{ .Values.global.projectName }}.monitoring/service : {{ .Release.Name }}-kube-state-metrics
{{- end -}}
