{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
prom.node.name: alertmanager name
contexts: [ . ]
usage: {{ include "prom.node.name" . }}
*/}}
{{- define "prom.node.name" -}}
{{ .Release.Name }}-node-exporter
{{- end -}}

{{/*
prom.node.configMapName: nodeexporter configMapName
contexts: [ . ]
usage: {{ include "prom.node.configMapName" . }}
*/}}
{{- define "prom.node.configMapName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-config" $name }}
{{- end -}}

{{/*
prom.node.deploymentName: nodeexporter deploymentName
contexts: [ . ]
usage: {{ include "prom.node.deploymentName" . }}
*/}}
{{- define "prom.node.deploymentName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-deployment" $name }}
{{- end -}}

{{/*
prom.node.podName: nodeexporter pod name
contexts: [ . ]
usage: {{ include "prom.node.podName" . }}
*/}}
{{- define "prom.node.podName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-pods" $name }}
{{- end -}}

{{/*
  prom.node.serviceAccountName : serviceAccountName getter
  contexts: [ . ]
  usage: {{ include "prom.node.serviceAccountName" . }}
*/}}
{{- define "prom.node.serviceAccountName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-%s-metrics-collector" .Values.global.projectName $name -}}
{{- end -}}

{{/*
  prom.node.roleName : cluster role name  getter
  contexts: [ . ]
  usage: {{ include "prom.node.roleName" . }}
*/}}
{{- define "prom.node.roleName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-%s-metrics-collector" .Values.global.namespace $name -}}
{{- end -}}

{{/*
  prom.node.roleBindingName : cluster binding name  getter
  contexts: [ . ]
  usage: {{ include "prom.node.roleBindingName" . }}
*/}}
{{- define "prom.node.roleBindingName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-cluster-role-binding" $name -}}
{{- end -}}

{{/*
  prom.node.daemonSetName : daemonset name getter
  contexts: [ . ]
  usage: {{ include "prom.node.daemonSetName" . }}
*/}}
{{- define "prom.node.daemonSetName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-daemon-set" $name -}}
{{- end -}}


{{/*
  prom.node.podSecurityPolicyName : podSecurityPolicyName name getter
  contexts: [ . ]
  usage: {{ include "prom.node.podSecurityPolicyName" . }}
*/}}
{{- define "prom.node.podSecurityPolicyName" -}}
{{- $name := include "prom.node.name" . -}}
{{- printf "%s-%s-metrics-collection" .Values.global.projectName $name -}}
{{- end -}}
