{{/*---------------------------- Local Templates ----------------------------*/}}
{{/*
  prom.node.commonLabels : generic for labels
  contexts: [ . ]
  usage: {{ include "prom.node.commonLabels" . }}
*/}}
{{- define "prom.node.commonLabels" -}}
{{ if .Chart.AppVersion -}}
app.kubernetes.io/part-of: {{ include "prom.node.name" . }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{ include "projectLabels" . }}
{{- end -}}

{{/*
  prom.node.enrichedLabels : generic for labels
  contexts: [ . ]
  usage: {{ include "prom.node.enrichedLabels" . }}
*/}}
{{- define "prom.node.enrichedLabels" -}}
{{ include "prom.node.commonLabels" . }}
{{ .Values.global.projectName }}.monitoring/service : {{ .Release.Name }}-node-exporter
{{- end -}}

{{/*
  prom.node.serviceLabel: generic admin service label
  contexts: [ . ]
  usage: {{ include "prom.node.serviceLabel" . }}
  */}}
{{- define "prom.node.serviceLabel" -}}
{{ include "projectLabels" . }}
{{ .Values.global.projectName }}.monitoring/service : {{ .Release.Name }}-node-exporter
{{- end -}}
